package com.heyang;

public class Token {
	public final static int TYPE_OPEN_ANGLEBRACKET=0; // <
	public final static int TYPE_CLOSE_ANGLEBRACKET=1;// >
	public final static int TYPE_slant =2;			  // /
	public final static int TYPE_TEXT=3;			  // text
	public final static int TYPE_EQUAL =4;			  // =
	public final static int TYPE_EMPTY_CLOSE =5;	  // />
	public final static int TYPE_END_OPEN =6;	      // </
	
	private int type;
    private String text;
    private int index;// Used to remember location
    
    public Token(char c,int type) {
        this.text=String.valueOf(c);
        this.type=type;
    }
    
    public Token(String word,int type) {
        this.text=word;
        this.type=type;
    }
    
    public String toString() {
    	return String.format("token(text=%s,type=%d,index=%d)", text,type,index);
    }

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public int getIndex() {
		return index;
	}

	public void setIndex(int index) {
		this.index = index;
	}
}
